# Class ExpDecrVolumeDensityDEM

java.lang.Object
gaia.cu9.tools.parallax.PDF.DistanceEstimationMethod
gaia.cu9.tools.parallax.PDF.ExpDecrVolumeDensityDEM

Direct Known Subclasses:
  `HaywoodExpDecrVolumeDEM, LosExpDecrVolumeDensityDEM`

public class ExpDecrVolumeDensityDEM extends DistanceEstimationMethod

## Constructor Summary

Constructors
Constructor
Description
`ExpDecrVolumeDensityDEM(double varPi, double sigma, double scaleLength)`
`ExpDecrVolumeDensityDEM(StarVariables star, double scaleLength)`

## Method Summary

Modifier and Type
Method
Description
`protected PDF`
`createDistancePdf()`
`protected PDF`
`createModulusPdf()`

### Methods inherited from class DistanceEstimationMethod

`getDistanceModulusPDF, getDistancePDF, initPdfs`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpDecrVolumeDensityDEM

public ExpDecrVolumeDensityDEM(double varPi, double sigma, double scaleLength)

### ExpDecrVolumeDensityDEM

public ExpDecrVolumeDensityDEM(StarVariables star, double scaleLength)

## Method Details

### createDistancePdf

protected PDF createDistancePdf()

Specified by:
  `createDistancePdf` in class `DistanceEstimationMethod`

### createModulusPdf

protected PDF createModulusPdf()

Specified by:
  `createModulusPdf` in class `DistanceEstimationMethod`